# $Revision: 1.23 $, $Date: 2007/02/13 07:47:15 $
#
# TODO: Split ?
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# needs a configured db connection
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tangram
Summary:	Tangram - object-relational mapper module
Summary(pl.UTF-8):	Tangram - moduł odwzorowywania obiektowo-relacyjnego
Name:		perl-Tangram
Version:	2.10
Release:	0.1
License:	GPL or commercial
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	a55e320d8b96f7023dda927c36361e5e
URL:		http://www.soundobjectlogic.com/tangram/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Set-Object
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define  _noautoprov 'perl(Address)' 'perl(LegalPerson)' 'perl(NaturalPerson)' 'perl(Person)'
%define  _noautoreq  'perl(Tangram::Core)' 'perl(Tangram::Relational::Engine)'

%description
Tangram is an object-relational mapper. It makes objects persist in
relational databases, and provides powerful facilities for retrieving
and filtering them. Tangram fully supports object-oriented
programming, including polymorphism, multiple inheritance and
collections. It does so in an orthogonal fashion, that is, it doesn't
require your classes to implement support functions nor inherit from a
utility class.

%description -l pl.UTF-8
Tangram to klasa odwzorowań obiektowo-relacyjnych. Powoduje
przechowywanie obiektów w relacyjnych bazach danych i udostępnia
udogodnienia do odtwarzania i filtrowania ich. Tangram w pełni wspiera
programowanie zorientowane obiektowo, włącznie z polimorfizmem,
wielodziedziczeniem i kolekcjami. Czyni to na wzór ortogonalny, czyli
nie wymaga, aby klasy implementowały funkcje obsługi ani dziedziczyły
z klasy narzędziowej.

%prep
%setup -q -n %{pdir}-%{version}

%build
echo n | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/*.pm
%dir %{perl_vendorlib}/Tangram
%{perl_vendorlib}/Tangram/*.pm
%dir %{perl_vendorlib}/Tangram/Compat
%{perl_vendorlib}/Tangram/Compat/*.pm
%dir %{perl_vendorlib}/Tangram/Cursor
%{perl_vendorlib}/Tangram/Cursor/*.pm
%dir %{perl_vendorlib}/Tangram/Driver
%{perl_vendorlib}/Tangram/Driver/*.pm
%dir %{perl_vendorlib}/Tangram/Driver/Oracle
%{perl_vendorlib}/Tangram/Driver/Oracle/*.pm
%dir %{perl_vendorlib}/Tangram/Driver/Pg
%{perl_vendorlib}/Tangram/Driver/Pg/*.pm
%dir %{perl_vendorlib}/Tangram/Driver/SQLite
%{perl_vendorlib}/Tangram/Driver/SQLite/*.pm
%dir %{perl_vendorlib}/Tangram/Driver/Sybase
%{perl_vendorlib}/Tangram/Driver/Sybase/*.pm
%dir %{perl_vendorlib}/Tangram/Driver/Sybase/Expr
%{perl_vendorlib}/Tangram/Driver/Sybase/Expr/*.pm
%dir %{perl_vendorlib}/Tangram/Driver/mysql
%{perl_vendorlib}/Tangram/Driver/mysql/*.pm
%dir %{perl_vendorlib}/Tangram/Driver/mysql/Expr
%{perl_vendorlib}/Tangram/Driver/mysql/Expr/*.pm
%dir %{perl_vendorlib}/Tangram/Expr
%{perl_vendorlib}/Tangram/Expr/*.pm
%dir %{perl_vendorlib}/Tangram/Expr/Coll
%{perl_vendorlib}/Tangram/Expr/Coll/*.pm
%dir %{perl_vendorlib}/Tangram/Lazy
%{perl_vendorlib}/Tangram/Lazy/*.pm
%dir %{perl_vendorlib}/Tangram/Relational
%{perl_vendorlib}/Tangram/Relational/*.pm
%dir %{perl_vendorlib}/Tangram/Relational/Engine
%{perl_vendorlib}/Tangram/Relational/Engine/*.pm
%dir %{perl_vendorlib}/Tangram/Schema
%{perl_vendorlib}/Tangram/Schema/*.pm
%dir %{perl_vendorlib}/Tangram/Storage
%{perl_vendorlib}/Tangram/Storage/*.pm
%dir %{perl_vendorlib}/Tangram/Type
%{perl_vendorlib}/Tangram/Type/*.pm
%dir %{perl_vendorlib}/Tangram/Type/Abstract
%{perl_vendorlib}/Tangram/Type/Abstract/*.pm
%dir %{perl_vendorlib}/Tangram/Type/Array
%{perl_vendorlib}/Tangram/Type/Array/*.pm
%dir %{perl_vendorlib}/Tangram/Type/Date
%{perl_vendorlib}/Tangram/Type/Date/*.pm
%dir %{perl_vendorlib}/Tangram/Type/Dump
%{perl_vendorlib}/Tangram/Type/Dump/*.pm
%dir %{perl_vendorlib}/Tangram/Type/Hash
%{perl_vendorlib}/Tangram/Type/Hash/*.pm
%dir %{perl_vendorlib}/Tangram/Type/Ref
%{perl_vendorlib}/Tangram/Type/Ref/*.pm
%dir %{perl_vendorlib}/Tangram/Type/Set
%{perl_vendorlib}/Tangram/Type/Set/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tangram.spec,v $
Revision 1.23  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.21  2006/10/21 20:40:29  ankry
- 2.10. TODO: split? Rel. 0.1

Revision 1.20  2004/11/03 22:30:46  paladine
- formatting

Revision 1.19  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.18  2004/05/06 18:21:13  ankry
- fixed perl-devel BR

Revision 1.17  2004/05/03 00:54:29  ankry
- tests added, license fizes, cosmetics

Revision 1.16  2004/04/15 21:44:16  ankry
- cosmetics, license fixes

Revision 1.15  2004/01/25 00:01:40  arekm
- autoupdated to 2.07

Revision 1.14  2003/09/18 13:21:33  adamg
- updated to 2.06

Revision 1.13  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.12  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.11  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:25:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 21:34:34  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/28 10:08:32  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/27 20:45:40  ankry
fixed BR

Revision 1.5  2003/02/25 00:41:49  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:31  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/02/17 00:13:27  qboosh
- pl description

Revision 1.2  2003/02/13 09:42:09  mis
- missing files

Revision 1.1  2003/02/12 16:28:30  mis
- new
